Get order details
apiToken orders:readAuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: orders:read
id*numberOperation completed or accepted; asynchronous actions may still be running.
application/json- response
id*numberorderNumber*numberproductId*numberproductSlug?stringproductName?stringproductType?stringprojectId?null|stringlabel?null|stringcycle*stringstatus*stringpriceCents*numbersetupFeeCents*numbernextDueAt*stringdate-timeprovisioningStatus*stringprovisioningModule?stringrebuildRequired?booleanvfServerId?numbersuspendReason?null|stringsuspendedAt?null|stringautoCharge*booleancancelType?null|stringcancelRequestedAt?null|stringpendingCycle?null|stringpendingCyclePriceCents?null|numberextraIpv4Count*numberextraIpv4MonthlyCents*null|numberrenewalPromotionEligible?booleanrenewalPromotionEndsAt?stringrenewalPromotionTotalCents?numberrenewalPromotionOriginalCents?numberprepayEnabled?booleanprepayEligible?booleanprepayNextDueAt?stringdate-timecreatedAt*stringdate-timecurl -X GET 'https://api.deluxhost.net/v1/orders/0' \ -H "Authorization: Bearer $DELUXHOST_TOKEN"{ "id": 0, "orderNumber": 0, "productId": 0, "productSlug": "string", "productName": "string", "productType": "string", "projectId": null, "label": null, "cycle": "string", "status": "string", "priceCents": 0, "setupFeeCents": 0, "nextDueAt": "2019-08-24T14:15:22Z", "provisioningStatus": "string", "provisioningModule": "string", "rebuildRequired": true, "vfServerId": 0, "suspendReason": null, "suspendedAt": null, "autoCharge": true, "cancelType": null, "cancelRequestedAt": null, "pendingCycle": null, "pendingCyclePriceCents": null, "extraIpv4Count": 0, "extraIpv4MonthlyCents": null, "renewalPromotionEligible": true, "renewalPromotionEndsAt": "string", "renewalPromotionTotalCents": 0, "renewalPromotionOriginalCents": 0, "prepayEnabled": true, "prepayEligible": true, "prepayNextDueAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}Place an order POST
Requires confirm: true. Inspect the resource before retrying an uncertain outcome. Requires Idempotency-Key. Use the same key and payload to replay a completed response. A 409 for a pending or failed attempt requires checking the resource; a new key could duplicate a charge or purchase.
Request a service cancellation POST
Requires confirm: true. Inspect the resource before retrying an uncertain outcome. Requires Idempotency-Key. Use the same key and payload to replay a completed response. A 409 for a pending or failed attempt requires checking the resource; a new key could duplicate a charge or purchase.